org.eclipse.microprofile.auth

## Annotation Type LoginConfig

    @Inherited
     @Documented
     @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface LoginConfig

A security annotation describing the authentication method and the associated realm name that should be used for this application. Note: this annotation may be removed in the future versions of the MP JWT specification.

### Required Element Summary

Required Elements
`String` `authMethod` The 'authMethod' is used to configure the "MP-JWT" authentication mechanism for the JAX-RS application.

### Optional Element Summary

Optional Elements
`String` `realmName` The realm name

### Element Detail

#### authMethod

    public abstract String authMethod

The 'authMethod' is used to configure the "MP-JWT" authentication mechanism for the JAX-RS application. As a prerequisite to gaining access to any web resources which are protected by an authorization constraint, a user must have authenticated using the configured mechanism. Support for the other authentication mechanisms is optional.

Returns:
  the configured auth-method

#### realmName

    public abstract String realmName

The realm name

Returns:
  the realm name which may be empty

Default:
  ""